Bug 96308 - FILEOPEN RTF incorrect tab spacing on table
Summary: FILEOPEN RTF incorrect tab spacing on table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium minor
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.1 target:5.0.6
Keywords: bibisected, filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2015-12-07 10:42 UTC by Ari Latvala
Modified: 2016-10-25 19:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
RTF version having incorrect tab spacing on table (1.36 MB, application/rtf)
2015-12-07 10:42 UTC, Ari Latvala
Details
PDF version showing the expected layout (36.99 KB, application/pdf)
2015-12-07 10:42 UTC, Ari Latvala
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ari Latvala 2015-12-07 10:42:17 UTC
Created attachment 121105 [details]
RTF version having incorrect tab spacing on table

Libre Office 5.0.4.1 on Windows 7 64-bit

RTF version of the document kissaliitto_ilmo_141.doc from site http://www.kissaliitto.fi/lomakkeet/nayttely has inccorrect tab spacing for text on table 6. Expexted out on the attached PDF version.
Comment 1 Ari Latvala 2015-12-07 10:42:53 UTC
Created attachment 121106 [details]
PDF version showing the expected layout
Comment 2 Buovjaga 2015-12-08 11:32:48 UTC
Confirmed.

It seems to be better in 3.5.0, although not perfect.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 81fa5340191baf8687f9c82f1f414f5afc86b529
Threads 4; Ver: Windows 6.1; Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-03_21:19:19
Locale: fi-FI (fi_FI)

4.3.0.1
Comment 3 Cor Nouws 2015-12-09 07:48:47 UTC
Hi Beluga,

Would bibisecting make sense for pre 4.3 ? Prolly something you know.
Thanks!
Comment 4 Buovjaga 2015-12-09 08:46:30 UTC
Well, I guess we can add a bibisect request.. although I'm hesitant to call this a regression as it is somehow broken already in 3.5.0.

At least it would give a code pointer to anyone wanting to look into this.
Comment 5 Joel Madero 2015-12-11 19:17:07 UTC
For future reference - the issue is with items 7-17 on the rtf file.

I would definitely call this a regression, doing a bibisect there were several versions (even 4.2) that were perfect or close to perfect.

Updating keywords, also updating priority:
Minor - can slow down professional quality work but will not prevent it completely;
Medium - regression to bumped up from low.


Bibisect:
bbc94e9cae79133bc01ac6855d0831af4630de1c is the first bad commit
commit bbc94e9cae79133bc01ac6855d0831af4630de1c
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Fri Oct 18 01:07:32 2013 +0000

    source-hash-c956bde226ffd646ab6ca0c72d50a375ae52edb3
    
    commit c956bde226ffd646ab6ca0c72d50a375ae52edb3
    Author:     Zolnai Tamás <zolnaitamas2000@gmail.com>
    AuthorDate: Fri Aug 16 14:45:32 2013 +0200
    Commit:     Zolnai Tamás <zolnaitamas2000@gmail.com>
    CommitDate: Sun Aug 18 09:49:51 2013 +0200
    
        Make drop caps border a bit more robust
    
        Decrease the minimum size of the drop caps letters to 0
        and handle the case when padding is too big.
    
        Change-Id: I10f76ddffe9d19f82afbe3226ebe3aa8ba70da89

:100644 100644 61e1bf40b0ca80030672d59339487b961ac3e87b ae7c8f7d67fd8885c0170131916dd269ba786c9b M	ccache.log
:100644 100644 ba45e9e4fa38d5dda8635be4078c14506eac36d7 0d701685c855f321decd5e4a47025cce82ecb97f M	commitmsg
:100644 100644 9f9795c434ae26bc432b51c988c4832911436be1 52bec4f38ce21a07eca43172ec191d8ffbea4ae9 M	dev-install.log
:100644 100644 5d81082acb5ad0a0f7f8e97eecf5443bb31adf72 7e1102fe876ff9d5369c3390bd6d305a2e11cb18 M	make.log
:040000 040000 076ae14921d2ec8803ee87871dfb00eedb7d7d57 26586db1308f28669d285f1a72d6953b5d70681b M	opt


# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [1d4980621741d3050a5fe61b247c157d769988f2] source-hash-89d01a7d8028ddb765e02c116d202a2435894217
git bisect bad 1d4980621741d3050a5fe61b247c157d769988f2
# good: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
git bisect good ba096f438393091574da98fe7b8e6b05182a8971
# good: [e75547cbd2d9d480ba13e119a8df8098c9d3a0a3] source-hash-69f686774cfeb803fdd63ed1ef07ff70550930de
git bisect good e75547cbd2d9d480ba13e119a8df8098c9d3a0a3
# bad: [bac2489ff3b644bd046102e379bff5a6c6c469d9] source-hash-621c1e491e56db5416da1c763aaff862e8ede67a
git bisect bad bac2489ff3b644bd046102e379bff5a6c6c469d9
# bad: [32c7515d0a5143cdc0c174c7d9767e00a0bef0c8] source-hash-4450b1b93f7f7b5f97c631fe767b1156350a9227
git bisect bad 32c7515d0a5143cdc0c174c7d9767e00a0bef0c8
# bad: [bbc94e9cae79133bc01ac6855d0831af4630de1c] source-hash-c956bde226ffd646ab6ca0c72d50a375ae52edb3
git bisect bad bbc94e9cae79133bc01ac6855d0831af4630de1c
# good: [47eb057002a197e6540b6bedd31d5427a82c4ebd] source-hash-e4f55865078e887a34d7b127b75d01ae374968de
git bisect good 47eb057002a197e6540b6bedd31d5427a82c4ebd
# first bad commit: [bbc94e9cae79133bc01ac6855d0831af4630de1c] source-hash-c956bde226ffd646ab6ca0c72d50a375ae52edb3
Comment 6 Miklos Vajna 2016-01-01 14:45:13 UTC
This is probably a regression from my b9c1a9b9aa41dbbb6bed0c77f4370ab6105c7fb1, I'll take care of it.
Comment 7 Commit Notification 2016-01-08 08:10:19 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1f1ddaad5dd401b70ae69fb18f7873d652242154

Related: tdf#96308 RTF import: fix RTF_DEFTAB handling

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-01-08 10:25:44 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ec88cdb82a28851c4b97d7f043d8bcec3c675e8

tdf#96308 RTF import: fix tab stop inheritance inside table cells

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-01-27 13:47:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5f6df9fd46e28ba579bac90e7f5431b95f0a490f&h=libreoffice-5-1

tdf#96308 RTF import: fix tab stop inheritance inside table cells

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-02-02 12:28:21 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb64c29389939048666141eb4dddcfae4dd70ee5&h=libreoffice-5-0

tdf#96308 RTF import: fix tab stop inheritance inside table cells

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.